System.Web 2.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Web.Configuration.ClientTarget), CollectionType=System.Configuration.ConfigurationElementCollectionType.AddRemoveClearMap)

The type allows access to the elements of the section element collection.

It belongs to a group that includes and .

Represents a collection of objects. This class cannot be inherited.

- Constructor

  The constructor is not intended to be used directly from your code. It is called by the ASP.NET configuration system. You obtain an instance of the class by using the property.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void ``

  Before adding a client target to the collection, you must create a object and initialize its and properties.

  Adds the specified object to the collection.

  The to add to the collection. 2.0.0.0
- Property
  System.String[] To be added. To be added.

  Returns an array of the keys for all the configuration elements contained in the collection.

  2.0.0.0
- Method
  System.Void

  The result of updating the configuration file after calling the method is dependent upon the value chosen. To update the configuration file you use one of these two methods: or .

  Calling is equivalent to calling when the value is modified.

  If you use the method, the following conditions apply:

  If you pass the or parameter value, then a clear element is inserted into the clientTarget section of the configuration file at the current hierarchy level.

  If you pass the parameter value, a series of remove elements are added to the clientTarget section of the configuration file at the current hierarchy level. This removes all references to the add elements defined in the parent configuration files at higher levels in the hierarchy. With the enumeration value, one additional property on the collection affects what gets serialized to the configuration file. The property is and is false by default. One of the following conditions applies:

  When is set to true, a clear element is inserted into the clientTarget section of the configuration file at the current hierarchy level. This removes all references to the add elements defined in the parent configuration files at higher levels in the hierarchy.

  When is set to false, the clear element is removed from the clientTarget section of the configuration file at the current hierarchy level, if it exists.

  The method actually deletes the add elements defined in the clientTarget section of the configuration file at the current hierarchy level. It also removes all references to the add elements defined in the parent configuration files at higher levels in the hierarchy.

  The add elements are not deleted from the clientTarget section of the parent configuration files.

  Removes all the objects from the collection.

  2.0.0.0
- Method
  System.Configuration.ConfigurationElement To be added. To be added. To be added. 2.0.0.0
- Method
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.String `` To be added.

  Gets the collection key for the specified element.

  A string containing the value of the key.

  The collection index of the element to get. 2.0.0.0
- Property
  System.Web.Configuration.ClientTarget `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Web.Configuration.ClientTarget `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  The method deletes the add element in the clientTarget section at the current hierarchy level and inserts a remove element. The remove element effectively removes the reference to the add element defined in the parent configuration files at higher levels in the hierarchy but does not delete it.

  Removes the object with the specified alias from the collection.

  The alias of the to remove. 2.0.0.0
- Method
  System.Void ``

  The method deletes the add element in the clientTarget section at the current hierarchy level and inserts a remove element. The remove element effectively removes the reference to the add element defined in the parent configuration files at higher levels in the hierarchy but does not delete it.

  Removes the specified object from the collection.

  The to remove. 2.0.0.0
- Method
  System.Void ``

  The method deletes the add element in the clientTarget section at the current hierarchy level and inserts a remove element. The remove element effectively removes the reference to the add element defined in the parent configuration files at higher levels in the hierarchy but does not delete it.

  Removes the object with the specified collection index.

  The collection index of the to remove. 2.0.0.0